Subject: Re: [PATCH v2] docs: bug-bisect: add a note about bisecting -next

From: Thorsten Leemhuis <[email-masked]>
Date: Sat, 2 Nov 2024 12:28:21 +0100

On 01.11.24 12:59, Stephen Rothwell wrote:
>
> Thanks for this.  A couple of comments.

yw; thx for your feedback!

> On Fri,  1 Nov 2024 07:17:06 +0100 Thorsten Leemhuis <[email-masked]> wrote:
> [...]
>> +Bisecting linux-next
>> +--------------------
>> +
>> +If you face a problem only happening in linux-next, bisect between the
>> +linux-next branches 'stable' and 'master'. The following commands will start
>> +the process for a linux-next tree you added as a remote called 'next'::
>> +
>> +  git bisect start
>> +  git bisect good next/stable
>> +  git bisect bad next/master
>> +
>> +The 'stable' branch refers to the state of linux-mainline the current
>                                                              ^
>                                                              that the current

Ohh, I thought such a "that" would be optional here, but I'm not a
native speaker, so I guess I was wrong.

>> +linux-next release (found in the 'master' branch) is based on -- the former
>> +thus should be free of any problems that show up in -next, but not in Linus'
>> +tree.
> 
> As you say, 'stable' only works for the current linux-next release.  If
> you are trying to bisect a previous release, you can always find the
> SHA1 associated with the base of any linux-next release using "grep
> origin Next/SHA1s".  Not sure how useful that is.

Hmmm. Not sure. Open for opinions here. But right now I tend to think:
nice to know, but not relevant enough for this text, as most people want
to check if latest -next is still affected -- so why then bisect with a
older -next release?

Ciao, Thorsten